lbpolicylabel

Last published : Oct 30, 2026
Configuration for lb policy label resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
labelname <String> Read-write Name for the LB policy label. Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.) hash (#), space ( ), at (@), equals (=), colon (:), and underscore characters.
The following requirement applies only to the Citrix ADC CLI:
If the name includes one or more spaces, enclose the name in double or single quotation marks (for example, "my lb policy label" or 'my lb policy label').
policylabeltype <String> Read-write Protocols supported by the policylabel. Available Types are :
* HTTP - HTTP requests.
* DNS - DNS request.
* OTHERTCP - OTHERTCP request.
* SIP_UDP - SIP_UDP request.
* SIP_TCP - SIP_TCP request.
* MYSQL - MYSQL request.
* MSSQL - MSSQL request.
* ORACLE - ORACLE request.
* NAT - NAT request.
* DIAMETER - DIAMETER request.
* RADIUS - RADIUS request.
* MQTT - MQTT request.
* QUIC_BRIDGE - QUIC_BRIDGE request.
* HTTP_QUIC - HTTP_QUIC request.
Default value: HTTP
Possible values = HTTP, OTHERTCP, SIP_UDP, SIP_TCP, MYSQL, MSSQL, ORACLE, NAT, DIAMETER, RADIUS, DNS, MQTT, QUIC_BRIDGE, HTTP_QUIC
comment <String> Read-write Any comments to preserve information about this LB policy label.
newname <String> Read-write New name for the LB policy label. Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.) hash (#), space ( ), at (@), equals (=), colon (:), and underscore characters.
Minimum length = 1
numpol <Integer> Read-only number of polices bound to label.
hits <Integer> Read-only Number of times policy label was invoked.
gotopriorityexpression <String> Read-only Expression specifying the priority of the next policy which will get evaluated if the current policy rule evaluates to TRUE.
labeltype <String> Read-only Type of policy label to invoke. Available settings function as follows:
* vserver - Invokes the unnamed policy label associated with the specified virtual server.
* policylabel - Invoke a user-defined policy label.
Possible values = reqvserver, policylabel
invoke_labelname <String> Read-only * If labelType is policylabel, name of the policy label to invoke.
* If labelType is reqvserver, name of the virtual server.
_nextgenapiresource <String> Read-only .
__count <Double> Read-only count parameter

Operations

(click to see Properties )
  • ADD
  • DELETE
  • GET (ALL)
  • GET
  • COUNT
  • RENAME
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

add

URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"lbpolicylabel":{
<b>"labelname":<String_value>,
</b>"policylabeltype":<String_value>,
"comment":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

delete

URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel/ labelname_value<String> HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

rename

URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel? action=rename HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"lbpolicylabel":{
<b>"labelname":<String_value>,
</b><b>"newname":<String_value>
</b>}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

get (all)

URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of lbpolicylabel resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel? view=summary
Use this query-parameter to get the summary output of lbpolicylabel resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel? pagesize=#no;pageno=#no
Use this query-parameter to get the lbpolicylabel resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lbpolicylabel": [ {
"labelname":<String_value>,
"policylabeltype":<String_value>,
"numpol":<Integer_value>,
"hits":<Integer_value>,
"comment":<String_value>,
"gotopriorityexpression":<String_value>,
"labeltype":<String_value>,
"invoke_labelname":<String_value>,
"_nextgenapiresource":<String_value>
}]}

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel/ labelname_value<String> Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel/ labelname_value<String> ? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
view http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel/ labelname_value<String> ? view=summary
Use this query-parameter to get the summary output of lbpolicylabel resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{  "lbpolicylabel": [ {
"labelname":<String_value>,
"policylabeltype":<String_value>,
"numpol":<Integer_value>,
"hits":<Integer_value>,
"comment":<String_value>,
"gotopriorityexpression":<String_value>,
"labeltype":<String_value>,
"invoke_labelname":<String_value>,
"_nextgenapiresource":<String_value>
}]}

count

URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicylabel? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lbpolicylabel": [ { "__count": "#no"} ] }